> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aflux.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1billingbalance



## OpenAPI

````yaml https://backend.aflux.ai/openapi get /api/v1/billing/balance
openapi: 3.0.3
info:
  title: AdFlux Backend API
  version: v1
servers:
  - url: /
security: []
tags:
  - name: auth
  - name: users
  - name: uploads
  - name: projects
  - name: campaigns
  - name: placements
  - name: billing
  - name: payments
  - name: image-generations
paths:
  /api/v1/billing/balance:
    get:
      tags:
        - billing
      operationId: billingGetBalance
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Balance'
        default:
          $ref: '#/components/responses/DefaultError'
      security:
        - Bearer: []
components:
  schemas:
    Balance:
      type: object
      required:
        - currency
        - available
        - bonus
        - bonusSpentFirst
      properties:
        currency:
          type: string
        available:
          $ref: '#/components/schemas/MoneyAmount'
        bonus:
          $ref: '#/components/schemas/MoneyAmount'
        bonusSpentFirst:
          type: boolean
    MoneyAmount:
      type: string
      pattern: ^-?\d+(\.\d{1,6})?$
      example: '125.500000'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    DefaultError:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````